@import url("https://fonts.googleapis.com/css2?family=Roboto:wght@300;400;500;700&display=swap");
* {
  font-family: 'Roboto', sans-serif;
  box-sizing: border-box !important;
  margin: 0px;
  padding: 0px;
}

button {
  background: none;
  border: none;
  cursor: pointer;
}

body {
  background-color: #fbfcfd;
  margin-top: 24px;
  display: flex;
  justify-content: center;
}

.container {
  display: grid;
  grid-template-areas: "heading heading" "options table";
  grid-template-columns: auto auto;
  row-gap: 28px;
  column-gap: 40px;
}

@media (max-width: 850px) {
  .container {
    grid-template-areas: "heading" "options" "table";
    grid-template-columns: auto;
  }
  .container .options {
    align-items: center;
  }
}

.container:focus {
  outline: none;
}

.container div.heading {
  grid-area: heading;
  justify-self: center;
  text-align: center;
}

.container div.heading .title {
  margin-bottom: 16px;
  display: flex;
  column-gap: 8px;
  align-items: center;
  line-height: 20px;
}

.container div.heading .title svg {
  width: 20px;
  height: 16px;
}

.container div.heading p {
  font-weight: 500;
  font-size: 14px;
  color: #666;
}

.container div.heading p span {
  color: #555;
  font-weight: 600;
}

.container .options {
  grid-area: options;
}

.container table {
  grid-area: table;
}

.container table.loading tr {
  transition: 0.1s ease-out;
  opacity: 0.2;
  pointer-events: none;
}

.options {
  margin-top: 12px;
  display: flex;
  flex-direction: column;
  column-gap: 8px;
  row-gap: 8px;
  flex-wrap: wrap;
}

.options label {
  margin-top: 8px;
  margin-bottom: 4px;
  font-size: 13px;
  font-weight: 500;
}

.options input {
  width: 200px;
  padding: 4px;
  background-color: white;
  border: 1px solid #cacaca;
  border-radius: 4px;
}

.options input::-webkit-calendar-picker-indicator {
  display: none;
}

.options .col {
  display: grid;
}

.options .button-row {
  margin-top: 4px;
}

.options button {
  padding: 4px 12px;
  height: 30px;
  border: 1px solid #0067b1;
  border-radius: 4px;
  background: #0067b1;
  color: #fafafa;
  font-size: 13px;
  font-weight: 500;
}

.main-container {
  display: flex;
  flex-direction: column;
}

table {
  padding: 16px 20px 4px 20px;
  background-color: white;
  border: 1px solid #dadada;
  border-radius: 8px;
  border-spacing: 0;
  text-align: left;
  position: relative;
}

table th {
  padding-right: 16px;
  padding-bottom: 10px;
  color: #444;
}

table tr {
  cursor: pointer;
}

table tr:hover, table tr:focus-within {
  background-color: #fafafa;
}

table tr:first-child:hover {
  background-color: white;
  cursor: default;
}

table tr td {
  padding: 16px 24px 16px 0px;
  border-bottom: 1px solid #eaeaea;
  font-size: 15px;
}

table tr:last-child td {
  border-bottom: none !important;
}

@media (max-width: 1200px) {
  table tr th:nth-child(3),
  table tr td:nth-child(3) {
    display: none;
  }
}

table tr.spinner-container {
  position: absolute;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -45%);
  opacity: 1 !important;
}

@keyframes rotate {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}

table tr.spinner-container svg {
  height: 20px;
  width: 20px;
  animation: rotate 1.4s linear infinite;
}

.pagination {
  margin-bottom: 10rem;
  margin-top: 12px;
  display: flex;
  justify-content: center;
  column-gap: 6px;
}

.pagination button {
  padding: 6px 8px;
  display: flex;
  align-items: center;
  column-gap: 8px;
  border-radius: 6px;
  font-size: 13px;
  font-weight: 500;
}

.pagination button svg {
  height: 11px;
}

.pagination button:first-child {
  margin-right: 8px;
}

.pagination button:last-child {
  margin-left: 8px;
}

.pagination button.disabled {
  pointer-events: none;
  user-select: none;
  opacity: 0.35;
}

.pagination button:hover {
  background-color: #eaeaea;
}

.pagination a {
  height: 28px;
  width: 28px;
  display: flex;
  justify-content: center;
  align-items: center;
  text-decoration: none;
  border-radius: 6px;
  font-size: 14px;
  font-weight: 500;
  color: #222;
}

.pagination a:hover {
  background-color: #eaeaea;
}

.pagination a:focus {
  background-color: #dadada;
  color: #000;
}

.pagination a.active {
  background: #444;
  color: #fafafa;
}

.pagination a.disabled {
  display: none;
  pointer-events: none;
}

.modal {
  background: #00000022;
  height: 100%;
  width: 100%;
  position: absolute;
  top: 0px;
  left: 0px;
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: 10;
}

@media (max-height: 760px) {
  .modal {
    height: auto;
    align-items: start;
  }
}

.modal .date-picker-wrapper {
  background-color: white;
  border-radius: 16px;
  padding: 20px;
  display: flex;
  flex-direction: column;
}

.modal .date-picker-wrapper .date-picker {
  border: none;
}

@media (min-width: 370px) {
  .modal .date-picker-wrapper .date-picker .vc-weekday {
    padding: 16px 0px 20px 0px;
  }
  .modal .date-picker-wrapper .date-picker .vc-day {
    padding: 4px;
  }
  .modal .date-picker-wrapper .date-picker .vc-day .vc-day-content,
  .modal .date-picker-wrapper .date-picker .vc-day .vc-highlight {
    font-size: 15px;
    min-height: 36px;
    min-width: 36px;
  }
}

.modal .date-picker-wrapper .button-row {
  margin-right: 12px;
  display: flex;
  justify-content: flex-end;
}

.modal .date-picker-wrapper .button-row button {
  padding: 6px 16px;
  margin-left: 12px;
  border-radius: 4px;
}

.modal .date-picker-wrapper .button-row button:first-child {
  background: #dadada;
  color: black;
}

.modal .date-picker-wrapper .button-row button:last-child {
  background: #0067b1;
  color: white;
}

.modal .details-modal {
  margin: 24px 16px;
  width: auto;
  background: white;
  padding: 28px 32px;
  border-radius: 20px;
  z-index: 11;
}

.modal .details-modal .heading {
  margin-bottom: 20px;
  display: flex;
  justify-content: space-between;
}

.modal .details-modal .heading h2 {
  font-size: 22px;
}

.modal .details-modal .heading button {
  height: 35px;
  width: 35px;
  border-radius: 50%;
  font-size: 20px;
}

.modal .details-modal .heading button:hover {
  background: #F1F1F1;
}

.modal .details-modal .heading svg {
  height: 20px;
}

.modal .details-modal h4 {
  width: max-content;
  margin: 0px 0px 16px 0px;
  font-weight: 400;
  border-bottom: 1px solid #222;
}

.modal .details-modal .sections {
  width: 100%;
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  column-gap: 48px;
  row-gap: 24px;
}

.modal .details-modal .sections .table {
  display: grid;
  grid-template-columns: auto auto;
}

.modal .details-modal .sections .table .col {
  display: grid;
  grid-template-rows: auto;
}

.modal .details-modal .sections .table .col p,
.modal .details-modal .sections .table .col a {
  color: inherit;
  padding: 6px 12px;
  border: 1px solid #eaeaea;
}

.modal .details-modal .sections .table .col p:hover,
.modal .details-modal .sections .table .col a:hover {
  background-color: #fafafa;
}

.modal .details-modal .sections .table .col:first-child p {
  font-size: 15px;
  line-height: 24px;
  background-color: #fafafa;
}

.modal .details-modal .sections .table .col:nth-child(2) p,
.modal .details-modal .sections .table .col:nth-child(2) a {
  font-weight: 500;
  line-height: 24px;
}

.toast-container {
  position: absolute;
  bottom: 3rem;
  left: 50%;
  transform: translateX(-50%);
}

.toast-container .toast {
  padding: 10px 14px;
  display: flex;
  align-items: center;
  background: white;
  border-radius: 10px;
  border: 1px solid #cacaca;
  font-size: 15px;
}

.toast-container .toast svg {
  margin-left: 20px;
  height: 14px;
}

.slide-up-enter-active,
.slide-up-leave-active {
  transition: opacity .1s;
}

.slide-up-enter,
.slide-up-leave-to {
  opacity: 0;
  transition: opacity .1s;
}

.actions-wrapper {
  margin-top: 20px;
  justify-content: center;
  column-gap: 40px;
  display: flex;
}

.actions-wrapper.loading {
  opacity: 0.35;
  pointer-events: none;
}

.actions-wrapper .action {
  height: 60px;
  width: 60px;
  border: none;
  border-radius: 50%;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  transition: 0.1s ease-out;
}

.actions-wrapper .action svg {
  height: 28px;
  padding-bottom: 1px;
}

.actions-wrapper .action-approve {
  color: #388e3c;
  fill: #388e3c;
  background-color: #f1f9f1;
}

.actions-wrapper .action-approve:hover {
  background-color: #e8f5e9;
}

.actions-wrapper .action-reject {
  color: #e53935;
  fill: #e53935;
  background-color: #fff3f4;
}

.actions-wrapper .action-reject:hover {
  background-color: #ffebee;
}

.status {
  width: max-content;
  position: relative;
  display: flex;
  flex-direction: column;
}

.status button {
  height: 24px;
  width: 70px;
  border: none;
  border-radius: 8px;
  cursor: pointer;
  font-size: 12px;
  font-weight: 600;
}

.status .approved {
  z-index: 1;
  background: #e1f5fe;
  color: #0288d1;
  border: 1px solid #e1f5fe;
}

.status .pending {
  background-color: #e1f5fe;
  color: #0288d1;
}

.status .rejected {
  background-color: #ffebee;
  color: #e53935;
}

.status:hover button:hover {
  box-shadow: 0px 2px 6px -3px rgba(0, 0, 0, 0.7);
}

.status.disabled button:hover {
  box-shadow: none;
}

.status.disabled .approved {
  color: #388e3c;
  background-color: #e8f5e9;
}
/*# sourceMappingURL=style.css.map */